/* Post Layout Styles */
.post_article {
	height: 100%;
    transform-style: preserve-3d;
    perspective: 800px;
}

.post-image {
    display: block;
    width: 100%;
}

.post-image img{
    width: 100%;
}

.post-image .images{
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: max(0.5rem, calc(0.5 * var(--su)));
}

.post-image .images img{
    object-fit: cover;
}

.post-accent{
    display: block;
    width: 100%;
    height: auto;
    aspect-ratio: 2.4;
}

.post-content {
    margin-top: max(1.5rem, calc(1.5 * var(--su)));
}

.post-content .tags{
    font-size: var(--fs-subtitle);
    font-weight: 400;
    margin-bottom: max(1.25rem,  calc(1.25 * var(--su)));
}

.post-content .tags span:first-of-type{
    font-weight: 700;
}

.post-content .tags span:not(:first-of-type)::before{
    content:'- ';
}


.post-wrapper {
    position: relative; display: block;
    text-decoration: none; color: inherit;
    height: 100%;
}

.post-content h2{
    display: flex;
    align-items: start;
    flex-direction: row;
    gap: 0;
    margin-bottom: max(1.5rem, calc(1.5 * var(--su)));

    transition: gap 300ms ease-in-out;
}

.post-content h2::before{
    flex-shrink: 0;
    content: '';
    width: .52em;
    height: .52em;
    margin-top: .38em;
    background-color: currentColor;
    display: inline-block;
    opacity: 0;
    width: 0;

    transition: opacity 300ms ease-in-out, width 300ms ease-in-out;
}

.post_article:hover .post-content h2{
    gap: max(.5rem, calc(.5 * var(--su)));
}

.post_article:hover .post-content h2::before{
    opacity: 1;
    width: .52em;
}
